[Plugin] Scaling to_cm (UPDATED 15/02/2016)
-
Changes in the size of the selection or groups or components
-
sorry i'm confused, is this a scaling ruby?
pav
-
changes a model size.
-
ah i see! i shall have a tinkle and see how i get on.
pav
-
-
hi sahi thanks for this ruby!
is there anyway to change it to meters?
-
-
Hi,
This doesn't work here: it gives weird results, out of range, entities are moved elsewhere. If entities are not grouped at start, there are grouped at the end.
Am I missing something ???Before/After a scale of 2:
-
On Mac I did not see the scaling tool palette. Is it Menu > Plugins > Scale?
-
-
Hi,
Dialog is ambiguous: "on all of axes" is not a target size but adds entered size to actual size. The final size would be better IMHO ?
Why choosing the bounds center as the center of transformation ?
I suggest not to use "to_cm" or "to_m" in the code, but to use only Length type variables. Thus you will suit everyone's unit, no matter what it is.
Useful script, though. -
@didier bur said:
Hi,
Dialog is ambiguous: "on all of axes" is not a target size but adds entered size to actual size. The final size would be better IMHO ?
Why choosing the bounds center as the center of transformation ?
I suggest not to use "to_cm" or "to_m" in the code, but to use only Length type variables. Thus you will suit everyone's unit, no matter what it is."on all of axes" ---How to name???
corrected all of other as you specified
-
Correct me if I'm wrong, but the resize operation works only for faces in XY,XZ and YZ planes (red,green,blue) ?
"On all of axes" -> "In every direction" ? English speaking people please help !
Another enhancement is to encapsulate in an operation for one step undo:def mashtabirovanie_create Sketchup.active_model.start_operation "Resize" ss=Sketchup.active_model.selection ... ... Sketchup.active_model.select_tool(nil) Sketchup.active_model.commit_operation end
-
@didier bur said:
> def mashtabirovanie_create > Sketchup.active_model.start_operation "Resize" > ss=Sketchup.active_model.selection > ... > ... > Sketchup.active_model.select_tool(nil) > Sketchup.active_model.commit_operation > end
Thank you! Corrected a code.
Added an icon.
mashtab_3.zip -
..growing into a nice little ruby.
-
Simple and very useful. Thank you!
-
@unknownuser said:
Correct me if I'm wrong, but the resize operation works only for faces in XY,XZ and YZ planes (red,green,blue) ?
"On all of axes" -> "In every direction" ? English speaking people please help !Equal "In every direction" is global settings for object of selection(world scaling system in most graphic packages...in attached pic, like cinema4d)
or about directions of red,green,blue, Didier, you are right/something like object system/
-
I would replace the "on all of axes" line with a checkbox called 'lock aspect ratio' as shown in attached. or just change the name to 'uniform scale'.
-
@fletch said:
I would replace the "on all of axes" line with a checkbox called 'lock aspect ratio' as shown in attached. or just change the name to 'uniform scale'.
-
I don't get what should I input in the Lock aspect ratio box in order to get the selection scaled proportionally to exact dimension input in one axis?
Advertisement